/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.promotions;

import org.cocktail.mangue.common.utilities.CocktailIcones;

/**
 *
 * @author  cpinsard
 */
public class PromoEcDetailView extends javax.swing.JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = -7274843962894206085L;

	/** Creates new form TemplateJDialog */
    public PromoEcDetailView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        tfNom = new javax.swing.JTextField();
        btnFermer = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        tfTitre = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        tfDateNaissance = new javax.swing.JTextField();
        tfPrenom = new javax.swing.JTextField();
        scrollPane = new javax.swing.JScrollPane();
        tfObservations = new javax.swing.JTextArea();
        jLabel14 = new javax.swing.JLabel();
        tfTitularisation = new javax.swing.JTextField();
        tfInsee3 = new javax.swing.JTextField();
        jLabel15 = new javax.swing.JLabel();
        tfLibelleGrade = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        tfCodePosition = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        tfDebutPosition = new javax.swing.JTextField();
        jLabel20 = new javax.swing.JLabel();
        tfFinPosition = new javax.swing.JTextField();
        jLabel21 = new javax.swing.JLabel();
        tfQuotite = new javax.swing.JTextField();
        tfEchelon = new javax.swing.JTextField();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        tfDateEchelon = new javax.swing.JTextField();
        tfInsee4 = new javax.swing.JTextField();
        jLabel25 = new javax.swing.JLabel();
        tfLieuPosition = new javax.swing.JTextField();
        tfInsee5 = new javax.swing.JTextField();
        tfDateGrade = new javax.swing.JTextField();
        jLabel26 = new javax.swing.JLabel();
        tfNumen = new javax.swing.JTextField();
        jLabel16 = new javax.swing.JLabel();
        jLabel27 = new javax.swing.JLabel();
        tfChevron = new javax.swing.JTextField();
        jLabel28 = new javax.swing.JLabel();
        tfDateNominationCorps = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        popupEtats = new javax.swing.JComboBox();
        jLabel17 = new javax.swing.JLabel();
        tfNomFamille = new javax.swing.JTextField();
        jLabel29 = new javax.swing.JLabel();
        tfSpecialisation = new javax.swing.JTextField();
        jLabel30 = new javax.swing.JLabel();
        tfAccesCorps = new javax.swing.JTextField();
        jLabel31 = new javax.swing.JLabel();
        tfAccesGrade = new javax.swing.JTextField();
        btnValider = new javax.swing.JButton();
        jLabel22 = new javax.swing.JLabel();
        tfStatut = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        tfUai = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Saisie / Modification d'un fichier CIR");
        setResizable(false);

        tfNom.setEditable(false);
        tfNom.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfNom.setToolTipText("Libellé du code");

        btnFermer.setText("Fermer");
        btnFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnFermerActionPerformed(evt);
            }
        });

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("NOM :");

        tfTitre.setBackground(new java.awt.Color(153, 153, 255));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Times New Roman", 0, 14));
        tfTitre.setForeground(new java.awt.Color(255, 255, 204));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("SUPINFO - Détail");
        tfTitre.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        tfTitre.setFocusable(false);
        tfTitre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreActionPerformed(evt);
            }
        });

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("PRENOM :");

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("Date de Naissance :");

        tfDateNaissance.setEditable(false);
        tfDateNaissance.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateNaissance.setToolTipText("Libellé du code");

        tfPrenom.setEditable(false);
        tfPrenom.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfPrenom.setToolTipText("Libellé du code");

        tfObservations.setColumns(20);
        tfObservations.setRows(5);
        scrollPane.setViewportView(tfObservations);

        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel14.setText("Titularisation");

        tfTitularisation.setEditable(false);
        tfTitularisation.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitularisation.setToolTipText("Libellé du code");

        tfInsee3.setBackground(new java.awt.Color(153, 204, 255));
        tfInsee3.setEditable(false);
        tfInsee3.setFont(new java.awt.Font("Tahoma", 0, 12));
        tfInsee3.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfInsee3.setText("Carrière");
        tfInsee3.setToolTipText("");
        tfInsee3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfInsee3ActionPerformed(evt);
            }
        });

        jLabel15.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel15.setText("Grade");

        tfLibelleGrade.setEditable(false);
        tfLibelleGrade.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLibelleGrade.setToolTipText("Libellé du code");

        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Position");

        tfCodePosition.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfCodePosition.setToolTipText("Libellé du code");

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Début Pos.");

        tfDebutPosition.setEditable(false);
        tfDebutPosition.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDebutPosition.setToolTipText("Libellé du code");

        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("Fin Pos.");

        tfFinPosition.setEditable(false);
        tfFinPosition.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFinPosition.setToolTipText("Libellé du code");

        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel21.setText("Quotité");

        tfQuotite.setEditable(false);
        tfQuotite.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfQuotite.setToolTipText("Libellé du code");

        tfEchelon.setEditable(false);
        tfEchelon.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfEchelon.setToolTipText("Libellé du code");

        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel23.setText("Echelon");

        jLabel24.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel24.setText("Date Echelon");

        tfDateEchelon.setEditable(false);
        tfDateEchelon.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateEchelon.setToolTipText("Libellé du code");

        tfInsee4.setBackground(new java.awt.Color(153, 204, 255));
        tfInsee4.setEditable(false);
        tfInsee4.setFont(new java.awt.Font("Tahoma", 0, 12));
        tfInsee4.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfInsee4.setText("Etat Civil");
        tfInsee4.setToolTipText("");
        tfInsee4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfInsee4ActionPerformed(evt);
            }
        });

        jLabel25.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel25.setText("Lieu Position");

        tfLieuPosition.setEditable(false);
        tfLieuPosition.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfLieuPosition.setToolTipText("Libellé du code");

        tfInsee5.setBackground(new java.awt.Color(153, 204, 255));
        tfInsee5.setEditable(false);
        tfInsee5.setFont(new java.awt.Font("Tahoma", 0, 12));
        tfInsee5.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfInsee5.setText("Observations");
        tfInsee5.setToolTipText("");
        tfInsee5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfInsee5ActionPerformed(evt);
            }
        });

        tfDateGrade.setEditable(false);
        tfDateGrade.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateGrade.setToolTipText("Libellé du code");

        jLabel26.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel26.setText("Date Grade");

        tfNumen.setEditable(false);
        tfNumen.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfNumen.setToolTipText("Libellé du code");

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("NUMEN :");

        jLabel27.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel27.setText("Chevron");

        tfChevron.setEditable(false);
        tfChevron.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfChevron.setToolTipText("Libellé du code");

        jLabel28.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel28.setText("Date Corps");

        tfDateNominationCorps.setEditable(false);
        tfDateNominationCorps.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateNominationCorps.setToolTipText("Libellé du code");

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("ETAT :");

        popupEtats.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupEtats.setFocusable(false);

        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Nom de Famille :");

        tfNomFamille.setEditable(false);
        tfNomFamille.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfNomFamille.setToolTipText("Libellé du code");

        jLabel29.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel29.setText("Spécialitsation");

        tfSpecialisation.setEditable(false);
        tfSpecialisation.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfSpecialisation.setToolTipText("Libellé du code");

        jLabel30.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel30.setText("Accès Corps");

        tfAccesCorps.setEditable(false);
        tfAccesCorps.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfAccesCorps.setToolTipText("Libellé du code");

        jLabel31.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel31.setText("Accès Grade");

        tfAccesGrade.setEditable(false);
        tfAccesGrade.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfAccesGrade.setToolTipText("Libellé du code");

        btnValider.setText("Valider");
        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });

        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel22.setText("STATUT");

        tfStatut.setEditable(false);
        tfStatut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfStatut.setToolTipText("Libellé du code");

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("UAI :");

        tfUai.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfUai.setToolTipText("Libellé du code");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(tfInsee4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 704, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 89, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED))
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                            .add(jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 90, Short.MAX_VALUE)
                                            .add(jLabel9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(popupEtats, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 150, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(tfUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 100, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .add(10, 10, 10)))
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(tfNumen, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(tfPrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(layout.createSequentialGroup()
                                                .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 131, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                .add(tfDateNaissance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(layout.createSequentialGroup()
                                                .add(jLabel17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 131, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                .add(tfNomFamille, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))))))
                    .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 781, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(40, 40, 40)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(layout.createSequentialGroup()
                                .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfInsee3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 704, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, scrollPane)
                            .add(tfInsee5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 704, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jLabel30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(tfAccesCorps))
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(tfLibelleGrade))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jLabel25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(tfLieuPosition))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jLabel18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(tfCodePosition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(tfDebutPosition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(tfEchelon, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jLabel24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfDateEchelon, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 82, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(layout.createSequentialGroup()
                                                .add(jLabel20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                .add(tfFinPosition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(layout.createSequentialGroup()
                                                .add(jLabel14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                .add(tfTitularisation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                                .add(jLabel26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                .add(tfDateGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 94, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(layout.createSequentialGroup()
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                                    .add(layout.createSequentialGroup()
                                                        .add(jLabel29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                        .add(tfSpecialisation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 102, Short.MAX_VALUE))
                                                    .add(layout.createSequentialGroup()
                                                        .add(jLabel28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                        .add(tfDateNominationCorps, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 102, Short.MAX_VALUE))))
                                            .add(layout.createSequentialGroup()
                                                .add(14, 14, 14)
                                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                                    .add(layout.createSequentialGroup()
                                                        .add(jLabel22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                        .add(tfStatut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                                    .add(layout.createSequentialGroup()
                                                        .add(jLabel21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                        .add(tfQuotite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))))
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel27, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(tfChevron, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(tfAccesGrade, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 279, Short.MAX_VALUE)))))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(30, 30, 30)
                .add(tfInsee4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(11, 11, 11)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(tfNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel12)
                    .add(tfPrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel17)
                    .add(tfNomFamille, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel16)
                    .add(tfNumen, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(popupEtats, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel9)
                    .add(jLabel13)
                    .add(tfDateNaissance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10)
                    .add(tfUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 18, Short.MAX_VALUE)
                .add(tfInsee3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel18)
                    .add(tfCodePosition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel19)
                    .add(tfDebutPosition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel20)
                    .add(tfFinPosition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel21)
                    .add(tfQuotite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(12, 12, 12)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel25)
                    .add(tfLieuPosition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel14)
                    .add(tfTitularisation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel22)
                    .add(tfStatut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel15)
                    .add(tfLibelleGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel26)
                    .add(tfDateGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel28)
                    .add(tfDateNominationCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel23)
                    .add(tfEchelon, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel24)
                    .add(jLabel27)
                    .add(tfDateEchelon, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfChevron, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel29)
                    .add(tfSpecialisation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(10, 10, 10)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel30)
                    .add(tfAccesCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel31)
                    .add(tfAccesGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(tfInsee5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(scrollPane, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 73, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(30, 30, 30)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnFermer)
                    .add(btnValider))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-797)/2, (screenSize.height-581)/2, 797, 581);
    }// </editor-fold>//GEN-END:initComponents

private void tfTitreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfTitreActionPerformed

private void btnFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnFermerActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_btnFermerActionPerformed

private void tfInsee3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfInsee3ActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfInsee3ActionPerformed

private void tfInsee4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfInsee4ActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfInsee4ActionPerformed

private void tfInsee5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfInsee5ActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfInsee5ActionPerformed

private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_btnValiderActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	PromoEcDetailView dialog = new PromoEcDetailView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnFermer;
    protected javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    protected javax.swing.JComboBox popupEtats;
    private javax.swing.JScrollPane scrollPane;
    protected javax.swing.JTextField tfAccesCorps;
    protected javax.swing.JTextField tfAccesGrade;
    protected javax.swing.JTextField tfChevron;
    protected javax.swing.JTextField tfCodePosition;
    protected javax.swing.JTextField tfDateEchelon;
    protected javax.swing.JTextField tfDateGrade;
    protected javax.swing.JTextField tfDateNaissance;
    protected javax.swing.JTextField tfDateNominationCorps;
    protected javax.swing.JTextField tfDebutPosition;
    protected javax.swing.JTextField tfEchelon;
    protected javax.swing.JTextField tfFinPosition;
    protected javax.swing.JTextField tfInsee3;
    protected javax.swing.JTextField tfInsee4;
    protected javax.swing.JTextField tfInsee5;
    protected javax.swing.JTextField tfLibelleGrade;
    protected javax.swing.JTextField tfLieuPosition;
    protected javax.swing.JTextField tfNom;
    protected javax.swing.JTextField tfNomFamille;
    protected javax.swing.JTextField tfNumen;
    private javax.swing.JTextArea tfObservations;
    protected javax.swing.JTextField tfPrenom;
    protected javax.swing.JTextField tfQuotite;
    protected javax.swing.JTextField tfSpecialisation;
    protected javax.swing.JTextField tfStatut;
    private javax.swing.JTextField tfTitre;
    protected javax.swing.JTextField tfTitularisation;
    protected javax.swing.JTextField tfUai;
    // End of variables declaration//GEN-END:variables
    
    private void initGui() {
        
    	setTitle("Détail des données de Promotion EC");
    	
    	popupEtats.removeAllItems();
    	popupEtats.addItem("");
    	popupEtats.addItem("Provisoire");
    	popupEtats.addItem("Transmis au ministère");
    	popupEtats.addItem("Acceptée");
    	popupEtats.addItem("Refusée");

        btnValider.setIcon(CocktailIcones.ICON_VALID);
    	btnFermer.setIcon(CocktailIcones.ICON_CLOSE);

    }
    
	public javax.swing.JComboBox getPopupEtats() {
		return popupEtats;
	}

	public void setPopupEtats(javax.swing.JComboBox popupEtats) {
		this.popupEtats = popupEtats;
	}

	public javax.swing.JTextField getTfNomFamille() {
		return tfNomFamille;
	}

	public void setTfNomFamille(javax.swing.JTextField tfNomFamille) {
		this.tfNomFamille = tfNomFamille;
	}

	public javax.swing.JTextField getTfChevron() {
		return tfChevron;
	}

	public javax.swing.JTextField getTfUai() {
		return tfUai;
	}

	public void setTfUai(javax.swing.JTextField tfUai) {
		this.tfUai = tfUai;
	}

	public void setTfChevron(javax.swing.JTextField tfChevron) {
		this.tfChevron = tfChevron;
	}

	public javax.swing.JTextField getTfDateEchelon() {
		return tfDateEchelon;
	}

	public void setTfDateEchelon(javax.swing.JTextField tfDateEchelon) {
		this.tfDateEchelon = tfDateEchelon;
	}

	public javax.swing.JTextField getTfAccesCorps() {
		return tfAccesCorps;
	}

	public void setTfAccesCorps(javax.swing.JTextField tfAccesCorps) {
		this.tfAccesCorps = tfAccesCorps;
	}

	public javax.swing.JTextField getTfAccesGrade() {
		return tfAccesGrade;
	}

	public void setTfAccesGrade(javax.swing.JTextField tfAccesGrade) {
		this.tfAccesGrade = tfAccesGrade;
	}

	public javax.swing.JTextField getTfCodePosition() {
		return tfCodePosition;
	}

	public void setTfCodePosition(javax.swing.JTextField tfCodePosition) {
		this.tfCodePosition = tfCodePosition;
	}

	public javax.swing.JTextField getTfStatut() {
		return tfStatut;
	}

	public void setTfStatut(javax.swing.JTextField tfStatut) {
		this.tfStatut = tfStatut;
	}

	public javax.swing.JTextField getTfDateNominationCorps() {
		return tfDateNominationCorps;
	}

	public void setTfDateNominationCorps(
			javax.swing.JTextField tfDateNominationCorps) {
		this.tfDateNominationCorps = tfDateNominationCorps;
	}

	public javax.swing.JTextField getTfSpecialisation() {
		return tfSpecialisation;
	}

	public void setTfSpecialisation(javax.swing.JTextField tfSpecialisation) {
		this.tfSpecialisation = tfSpecialisation;
	}

	public javax.swing.JTextField getTfDateNaissance() {
		return tfDateNaissance;
	}

	public void setTfDateNaissance(javax.swing.JTextField tfDateNaissance) {
		this.tfDateNaissance = tfDateNaissance;
	}

	public javax.swing.JTextField getTfDebutPosition() {
		return tfDebutPosition;
	}

	public void setTfDebutPosition(javax.swing.JTextField tfDebutPosition) {
		this.tfDebutPosition = tfDebutPosition;
	}

	public javax.swing.JTextField getTfNumen() {
		return tfNumen;
	}

	public javax.swing.JTextField getTfDateGrade() {
		return tfDateGrade;
	}

	public void setTfDateGrade(javax.swing.JTextField tfDateGrade) {
		this.tfDateGrade = tfDateGrade;
	}

	public void setTfNumen(javax.swing.JTextField tfNumen) {
		this.tfNumen = tfNumen;
	}

	public javax.swing.JTextField getTfEchelon() {
		return tfEchelon;
	}

	public void setTfEchelon(javax.swing.JTextField tfEchelon) {
		this.tfEchelon = tfEchelon;
	}

	public javax.swing.JTextField getTfFinPosition() {
		return tfFinPosition;
	}

	public void setTfFinPosition(javax.swing.JTextField tfFinPosition) {
		this.tfFinPosition = tfFinPosition;
	}

	public javax.swing.JTextField getTfLibelleGrade() {
		return tfLibelleGrade;
	}

	public void setTfLibelleGrade(javax.swing.JTextField tfLibelleGrade) {
		this.tfLibelleGrade = tfLibelleGrade;
	}

	public javax.swing.JTextField getTfLieuPosition() {
		return tfLieuPosition;
	}

	public void setTfLieuPosition(javax.swing.JTextField tfLieuPosition) {
		this.tfLieuPosition = tfLieuPosition;
	}

	public javax.swing.JTextField getTfNom() {
		return tfNom;
	}

	public void setTfNom(javax.swing.JTextField tfNom) {
		this.tfNom = tfNom;
	}

	public javax.swing.JTextArea getTfObservations() {
		return tfObservations;
	}

	public void setTfObservations(javax.swing.JTextArea tfObservations) {
		this.tfObservations = tfObservations;
	}

	public javax.swing.JTextField getTfPrenom() {
		return tfPrenom;
	}

	public void setTfPrenom(javax.swing.JTextField tfPrenom) {
		this.tfPrenom = tfPrenom;
	}

	public javax.swing.JTextField getTfQuotite() {
		return tfQuotite;
	}

	public void setTfQuotite(javax.swing.JTextField tfQuotite) {
		this.tfQuotite = tfQuotite;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}

	public javax.swing.JTextField getTfTitularisation() {
		return tfTitularisation;
	}

	public void setTfTitularisation(javax.swing.JTextField tfTitularisation) {
		this.tfTitularisation = tfTitularisation;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	
	
}
